Package pyplusplus :: Package code_creators :: Module member_variable :: Class bit_field_t

# type bit_field_t

source code

                             object --+
                                      |
            code_creator.code_creator_t --+
                                          |
    registration_based.registration_based_t --+
                                              |
      declaration_based.declaration_based_t --+
                                              |
                         member_variable_base_t --+
                                                  |
                                                 bit_field_t

Creates boost.python code that exposes bit fields member variables

Instance Methods

__init__(self, variable, wrapper) Constructor. | source code

Inherited from `code_creator.code_creator_t`: `beautify`, `create`, `get_system_headers` Inherited from `declaration_based.declaration_based_t`: `get_user_headers`

Static Methods
Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties
Inherited from `member_variable_base_t`: `wrapper` Inherited from `registration_based.registration_based_t`: `associated_decl_creators` Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance` Inherited from `declaration_based.declaration_based_t`: `alias`, `decl_identifier`, `declaration`, `documentation`

Method Details

### __init__(self, variable, wrapper)
(Constructor)

source code

Constructor.

Parameters:
  - `parent` - Parent code creator.
Overrides: declaration_based.declaration_based_t.__init__
  (inherited documentation)